# $Revision: 1.40 $, $Date: 2011/10/11 15:12:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Patricia
Summary:	Net::Patricia - Patricia Trie Perl module for fast IP address lookups
Summary(pl.UTF-8):	Net::Patricia - moduł Perla Patricia Trie do szybkiego wyszukiwania adresów IP
Name:		perl-Net-Patricia
Version:	1.15
Release:	4
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c068c3e061cca7fc6c721e56930465f8
URL:		http://search.cpan.org/dist/Net-Patricia/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a Patricia Trie data structure to quickly perform IP
address prefix matching for applications such as IP subnet, network or
routing table lookups.

The data structure is based on a radix tree using a radix of two,
so sometimes you see patricia implementations called "radix" as well.
The term "Trie" is derived from the word "retrieval" but is pronounced
like "try".  Patricia stands for "Practical Algorithm to Retrieve
Information Coded as Alphanumeric", and was first suggested for
routing table lookups by Van Jacobsen. Patricia Trie performance
characteristics are well-known as it has been employed for routing
table lookups within the BSD kernel since the 4.3 Reno release.

%description -l pl.UTF-8
Ten moduł używa struktury danych Patricia Trie do wykonywania
szybkiego dopasowywania prefiksów IP dla zastosowań takich jak
przeszukiwanie podsieci IP, sieci czy tabel routingu.

Struktura danych jest oparta na drzewie radix przy podstawie
wynoszącej 2 - implementacje patricia czasem są nazywane także radix.
Termin "Trie" pochodzi od słowa "retrieval" (odczytywanie), ale jest
wymawiany jak "try". Patricia to skrót od "Practical Algorithm to
Retrieve Information Coded as Alphanumeric" (praktyczny algorytm
odczytywania informacji zakodowanych alfanumerycznie) i jako
pierwszy zaproponowany do przeszukiwania tabel routingu przez Van
Jacobsena. Charakterystyki wydajności Patricia Trie są dobrze znane,
jako że struktura ta jest wykorzystywana przy przeszukiwaniu tabel
routingu w jądrze BSD od wersji 4.3 Reno.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/Patricia
%{perl_vendorarch}/auto/Net/Patricia/Patricia.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Patricia/Patricia.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Patricia.spec,v $
Revision 1.40  2011/10/11 15:12:53  lisu
- rel 4

Revision 1.39  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.38  2010/06/06 08:40:22  arekm
- release 2

Revision 1.37  2009/08/28 07:37:43  amateja
- updated to 1.15

Revision 1.36  2009/03/14 11:53:45  hawk
- release 3

Revision 1.35  2008/03/24 18:28:45  qboosh
- generic URL

Revision 1.34  2008-02-10 12:16:39  arekm
- rel 2

Revision 1.33  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.32  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.30  2006/11/17 22:12:46  maciek2w
- updated to 1.014

Revision 1.29  2004/11/03 22:30:36  paladine
- formatting

Revision 1.28  2004/08/28 12:28:26  radek
- added Patricia.bs

Revision 1.27  2004/06/17 22:16:28  qboosh
- pl

Revision 1.26  2004/06/13 18:39:36  radek
- informative summary / description

Revision 1.25  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.23  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.21  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.20  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.13  2003/02/18 15:37:11  ankry
- massive attack: change CPAN URLs

Revision 1.12  2002/07/16 23:47:06  ankry
- translations, cleaning
- added %%{perl_sitearch}/auto/Net/Patricia dir
- new %%doc
- release 5

Revision 1.11  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.10  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:19:00  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/12 10:31:34  kloczek
- release 2.

Revision 1.5  2002/02/10 15:40:16  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/27 21:58:34  kloczek
- cosmetics.

Revision 1.1  2001/10/26 22:27:26  misiek
- initial pld release
